Page MenuHomePhabricator

Let users embed function calls in wikitext which are rendered in the output (for WF itself, not remote wikis)
Open, In Progress, HighPublic

Description

Provide for a mechanism (e.g. parser function?) that creates a form in a wiki page which allows to specifies the arguments for a function call, and has a button to evaluate the call and show the results inline-ish.

Event Timeline

DVrandecic raised the priority of this task from Low to High.Apr 7 2021, 5:07 AM
Jdforrester-WMF renamed this task from Embeddable function calls to Let users embed function calls in wikitext which are rendered in the output.May 5 2021, 5:15 PM
Jdforrester-WMF added a project: Epic.
Jdforrester-WMF renamed this task from Let users embed function calls in wikitext which are rendered in the output to Let users embed function calls in wikitext which are rendered in the output (for WF itself, not remote wikis).May 11 2021, 4:21 PM

Change 694641 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/extensions/WikiLambda@master] [WIP] Provide a {{#function:…}} wikitext parser function

https://gerrit.wikimedia.org/r/694641

It's kinda-sorta alive:

image.png (174×1 px, 28 KB)

Needs a bunch of work, but it's making the call…

Change 694641 merged by jenkins-bot:

[mediawiki/extensions/WikiLambda@master] Provide a {{#function:\u2026}} wikitext parser function

https://gerrit.wikimedia.org/r/694641

Change 720416 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/extensions/WikiLambda@master] parserFunctionCallback: Handle response a bit better

https://gerrit.wikimedia.org/r/720416

Jdforrester-WMF changed the task status from Open to In Progress.Sep 15 2021, 7:16 PM

Change 720416 merged by jenkins-bot:

[mediawiki/extensions/WikiLambda@master] parserFunctionCallback: Handle response a bit better

https://gerrit.wikimedia.org/r/720416